package com.hfkj.service.order;

import com.hfkj.entity.BsOrderChild;
import com.hfkj.model.order.OrderChildModel;

import java.util.List;

/**
 * @className: BsOrderChildService
 * @author: HuRui
 * @date: 2024/5/6
 **/
public interface BsOrderChildService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsOrderChild data);

    /**
     * 查询详情
     * @param childOrderNo 子订单号
     * @return
     */
    OrderChildModel getDetail(String childOrderNo);

    /**
     * 查询子订单
     * @param orderNo
     * @return
     */
    List<OrderChildModel> getOrderChildListByOrderNo(String orderNo);

    /**
     * 获取未完成的子订单数量
     * @param orderNo
     * @return
     */
    long getUndoneChildOrder(String orderNo);

}
